Bug 222080 - double free or corruption
double free or corruption
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gawk (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Karel Zak
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 21:09 EST by Jim Treadway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 19:52:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Awk script (483 bytes, application/octet-stream)
2007-01-09 21:10 EST, Jim Treadway
no flags Details
Configuration file (13.30 KB, text/x-chdr)
2007-01-09 21:11 EST, Jim Treadway
no flags Details

  None (edit)
Description Jim Treadway 2007-01-09 21:09:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.1) Gecko/20061222 Firefox/2.0.0.1

Description of problem:
awk crashes with the following backtrace:

*** glibc detected *** awk: double free or corruption (fasttop): 0x0882c3a0 ***
======= Backtrace: =========
/lib/libc.so.6[0x166ffd]
/lib/libc.so.6(cfree+0x90)[0x16a650]
awk(free_wstr+0x1f)[0x806fedf]
awk(unref+0x53)[0x806ff73]
awk(reset_record+0x68)[0x8066598]
awk(set_record+0x10)[0x8067db0]
awk[0x8069b98]
awk(do_input+0x27)[0x806d167]
awk(main+0x1063)[0x806f7f3]
/lib/libc.so.6(__libc_start_main+0xdc)[0x116e5c]
awk[0x804c9c1]


Version-Release number of selected component (if applicable):
gawk-3.1.5-12.fc6

How reproducible:
Always


Steps to Reproduce:
1. get the attached files (part of an old Busybox build)
2. run 'awk -f build-config.awk Config.h >Config.temp'


Actual Results:


Expected Results:


Additional info:
Comment 1 Jim Treadway 2007-01-09 21:10:19 EST
Created attachment 145217 [details]
Awk script
Comment 2 Jim Treadway 2007-01-09 21:11:19 EST
Created attachment 145218 [details]
Configuration file
Comment 3 Karel Zak 2007-01-10 00:16:43 EST
I know about this bug. Already fixed in FC6.
Comment 4 Jim Treadway 2007-01-10 15:18:44 EST
Just to be clear, this is in (yesterday's) FC7 rawhide.  Did I choose the
appropriate "version" setting for this bug?
Comment 5 Karel Zak 2007-01-11 03:36:48 EST
Fixed. Update to gawk-3.1.5-12.fc7
Comment 6 Jim Treadway 2007-01-11 15:43:51 EST
The same problem exists in gawk-3.1.5-12.fc7.  Reverting to gawk-3.1.5-11 fixes
the problem.
Comment 7 Karel Zak 2007-01-12 09:37:39 EST
It seems you found a new double free() problem :-(

I've created simplified test:
   echo -e "AAA BBX\nAAA BBY" | gawk ' /^AAA BB/ { x = substr($2, 1); $1 =
"FOO"; print $0 }'

Fixed. Update to gawk-3.1.5-13.fc7
Comment 8 Reiner K. Kappenberger 2007-01-12 14:20:01 EST
(In reply to comment #3)
> I know about this bug. Already fixed in FC6.

I'm runing FC6 (x86_64) and experience the same trouble:

*** glibc detected *** awk: double free or corruption (fasttop):
0x0000000000883060 ***

while trying to build snapgear (3.4.0) in Tinylogin.

I currently have awk Version 3.1.5-12.fc6.x86_64 running on FC6 and receive the
double free or corruption problem.

Reiner
Comment 9 Jim Treadway 2007-01-15 19:36:02 EST
Works for me with gawk-3.1.5-13.fc7.

Note You need to log in before you can comment on or make changes to this bug.